post
https://sandbox.saner.secpod.com/AncorWebService/perform
Get Patch Rollback Status.
This method is used to fetch the status of job/task and related information created as part of patch rollback.
| Key | Meaning | Mandatory | Data Type |
|---|---|---|---|
| accountid | Account identifier | Yes | string |
| name | Name of the rollback job | No | string |
| device | Device name(s) | No | array |
| group | Group name(s) | Yes | array |
| family | Family name(s) | No | array |
Python SDK code
Install:
pip install secpod-saner-sdkCall this endpoint:
from saner.cvem import CvemClient
client = CvemClient(
api_key="<YOUR_API_KEY>",
accountid="<YOUR_ACCOUNT_ID>",
base_url="https://saner.secpod.com"
)
response=client.Patch.getRollbackStatus(
accountid="Demo Account",
group=["ubuntu"],
name="rollback job"
)
print(response)
client.close()Requires Python 3.9 or later.